%global _hardened_build 1

Summary:        Unpack various Apple II encoding methods
Name:           a2undoit
Version:        0.1
Release:        2%{?dist}
License:        GPLv2
Group:          Applications/apple
URL:            https://fadden.com/apple2/misc.html
Source0:        https://fadden.com/apple2/dl/undoit.zip

# Honor Fedora GC flags, fix most compiler warnings - Greg.
Patch0:         undoit-fedora.patch

BuildRequires:  gcc


%description
Five different C programs, simple enough that they should work on just about anything:

unbit   - undoes the 6-bit "executioner" format
unexec  - undoes the apple2 monitor format
unblu   - view and extract from Binary ][ archives
usq     - unsqueeze squeezed files (created by sq3 or extracted from
          Binary ][ or ShrinkIt archives)
sciibin - view and extract from binscii file

%prep
%autosetup -c

%build
%make_build

%install
install -D -m 0755 unbit     $RPM_BUILD_ROOT%{_bindir}/unbit
install -D -m 0755 unexec    $RPM_BUILD_ROOT%{_bindir}/unexec
install -D -m 0755 unblu     $RPM_BUILD_ROOT%{_bindir}/unblu
install -D -m 0755 usq       $RPM_BUILD_ROOT%{_bindir}/usq
install -D -m 0755 sciibin   $RPM_BUILD_ROOT%{_bindir}/sciibin

%files
%defattr(-,root,root)
%doc README
%attr(755,root,root) %{_bindir}/*

%changelog
* Tue Jun 19 2018 Greg Wildman <greg@techno.co.za> - 0.1-1
- Initial spec.

